﻿#pragma warning disable 649    // disable compiler warnings about unassigned fields

namespace ActivitySample.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Linq;
    using System.Web.Ria;
    using System.Web.Ria.Data;
    using System.Web.DomainServices;
    using System.Data;
    using System.Data.Objects.DataClasses;


    // The MetadataTypeAttribute identifies CategoriesMetadata as the class
    // that carries additional metadata for the Categories class.
    [MetadataTypeAttribute(typeof(Categories.CategoriesMetadata))]
    public partial class Categories
    {

        // This class allows you to attach custom attributes to properties
        // of the Categories class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class CategoriesMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private CategoriesMetadata()
            {
            }

            public int CategoryID;

            public string CategoryName;

            public string Description;

            public EntityState EntityState;

            public byte[] Picture;

            public EntityCollection<Products> Products;
        }
    }

    // The MetadataTypeAttribute identifies CustomerDemographicsMetadata as the class
    // that carries additional metadata for the CustomerDemographics class.
    [MetadataTypeAttribute(typeof(CustomerDemographics.CustomerDemographicsMetadata))]
    public partial class CustomerDemographics
    {

        // This class allows you to attach custom attributes to properties
        // of the CustomerDemographics class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class CustomerDemographicsMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private CustomerDemographicsMetadata()
            {
            }

            public string CustomerDesc;

            public EntityCollection<Customers> Customers;

            public string CustomerTypeID;

            public EntityState EntityState;
        }
    }

    // The MetadataTypeAttribute identifies CustomersMetadata as the class
    // that carries additional metadata for the Customers class.
    [MetadataTypeAttribute(typeof(Customers.CustomersMetadata))]
    public partial class Customers
    {

        // This class allows you to attach custom attributes to properties
        // of the Customers class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class CustomersMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private CustomersMetadata()
            {
            }

            public string Address;

            public string City;

            public string CompanyName;

            public string ContactName;

            public string ContactTitle;

            public string Country;

            public EntityCollection<CustomerDemographics> CustomerDemographics;

            public string CustomerID;

            public EntityState EntityState;

            public string Fax;

            public EntityCollection<Orders> Orders;

            public string Phone;

            public string PostalCode;

            public string Region;
        }
    }

    // The MetadataTypeAttribute identifies EmployeesMetadata as the class
    // that carries additional metadata for the Employees class.
    [MetadataTypeAttribute(typeof(Employees.EmployeesMetadata))]
    public partial class Employees
    {

        // This class allows you to attach custom attributes to properties
        // of the Employees class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class EmployeesMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private EmployeesMetadata()
            {
            }

            public string Address;

            public Nullable<DateTime> BirthDate;

            public string City;

            public string Country;

            public int EmployeeID;

            public EntityCollection<Employees> Employees1;

            public Employees Employees2;

            public EntityState EntityState;

            public string Extension;

            public string FirstName;

            public Nullable<DateTime> HireDate;

            public string HomePhone;

            public string LastName;

            public string Notes;

            public EntityCollection<Orders> Orders;

            public byte[] Photo;

            public string PhotoPath;

            public string PostalCode;

            public string Region;

            public EntityCollection<Territories> Territories;

            public string Title;

            public string TitleOfCourtesy;
        }
    }

    // The MetadataTypeAttribute identifies Order_DetailsMetadata as the class
    // that carries additional metadata for the Order_Details class.
    [MetadataTypeAttribute(typeof(Order_Details.Order_DetailsMetadata))]
    public partial class Order_Details
    {

        // This class allows you to attach custom attributes to properties
        // of the Order_Details class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class Order_DetailsMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private Order_DetailsMetadata()
            {
            }

            public float Discount;

            public EntityState EntityState;

            public int OrderID;

            public Orders Orders;

            public int ProductID;

            public Products Products;

            public short Quantity;

            public Decimal UnitPrice;
        }
    }

    // The MetadataTypeAttribute identifies OrdersMetadata as the class
    // that carries additional metadata for the Orders class.
    [MetadataTypeAttribute(typeof(Orders.OrdersMetadata))]
    public partial class Orders
    {

        // This class allows you to attach custom attributes to properties
        // of the Orders class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class OrdersMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private OrdersMetadata()
            {
            }

            public Customers Customers;

            public Employees Employees;

            public EntityState EntityState;

            public Nullable<Decimal> Freight;

            public EntityCollection<Order_Details> Order_Details;

            public Nullable<DateTime> OrderDate;

            public int OrderID;

            public Nullable<DateTime> RequiredDate;

            public string ShipAddress;

            public string ShipCity;

            public string ShipCountry;

            public string ShipName;

            public Nullable<DateTime> ShippedDate;

            public Shippers Shippers;

            public string ShipPostalCode;

            public string ShipRegion;
        }
    }

    // The MetadataTypeAttribute identifies ProductsMetadata as the class
    // that carries additional metadata for the Products class.
    [MetadataTypeAttribute(typeof(Products.ProductsMetadata))]
    public partial class Products
    {

        // This class allows you to attach custom attributes to properties
        // of the Products class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class ProductsMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ProductsMetadata()
            {
            }

            public Categories Categories;

            public bool Discontinued;

            public EntityState EntityState;

            public EntityCollection<Order_Details> Order_Details;

            public int ProductID;

            public string ProductName;

            public string QuantityPerUnit;

            public Nullable<short> ReorderLevel;

            public Suppliers Suppliers;

            public Nullable<Decimal> UnitPrice;

            public Nullable<short> UnitsInStock;

            public Nullable<short> UnitsOnOrder;
        }
    }

    // The MetadataTypeAttribute identifies RegionMetadata as the class
    // that carries additional metadata for the Region class.
    [MetadataTypeAttribute(typeof(Region.RegionMetadata))]
    public partial class Region
    {

        // This class allows you to attach custom attributes to properties
        // of the Region class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class RegionMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private RegionMetadata()
            {
            }

            public EntityState EntityState;

            public string RegionDescription;

            public int RegionID;

            public EntityCollection<Territories> Territories;
        }
    }

    // The MetadataTypeAttribute identifies ShippersMetadata as the class
    // that carries additional metadata for the Shippers class.
    [MetadataTypeAttribute(typeof(Shippers.ShippersMetadata))]
    public partial class Shippers
    {

        // This class allows you to attach custom attributes to properties
        // of the Shippers class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class ShippersMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private ShippersMetadata()
            {
            }

            public string CompanyName;

            public EntityState EntityState;

            public EntityCollection<Orders> Orders;

            public string Phone;

            public int ShipperID;
        }
    }

    // The MetadataTypeAttribute identifies SuppliersMetadata as the class
    // that carries additional metadata for the Suppliers class.
    [MetadataTypeAttribute(typeof(Suppliers.SuppliersMetadata))]
    public partial class Suppliers
    {

        // This class allows you to attach custom attributes to properties
        // of the Suppliers class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class SuppliersMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private SuppliersMetadata()
            {
            }

            public string Address;

            public string City;

            public string CompanyName;

            public string ContactName;

            public string ContactTitle;

            public string Country;

            public EntityState EntityState;

            public string Fax;

            public string HomePage;

            public string Phone;

            public string PostalCode;

            public EntityCollection<Products> Products;

            public string Region;

            public int SupplierID;
        }
    }

    // The MetadataTypeAttribute identifies TerritoriesMetadata as the class
    // that carries additional metadata for the Territories class.
    [MetadataTypeAttribute(typeof(Territories.TerritoriesMetadata))]
    public partial class Territories
    {

        // This class allows you to attach custom attributes to properties
        // of the Territories class.
        //
        // For example, the following marks the Xyz property as a
        // required field and specifies the format for valid values:
        //    [Required]
        //    [RegularExpression("[A-Z][A-Za-z0-9]*")]
        //    [StringLength(32)]
        //    public string Xyz;
        internal sealed class TerritoriesMetadata
        {

            // Metadata classes are not meant to be instantiated.
            private TerritoriesMetadata()
            {
            }

            public EntityCollection<Employees> Employees;

            public EntityState EntityState;

            public Region Region;

            public string TerritoryDescription;

            public string TerritoryID;
        }
    }
}

#pragma warning restore 649    // re-enable compiler warnings about unassigned fields
